Skip to main content
POST
/
v1
/
connector-targets
/
{connectorTargetId}
/
mappings
Create connector mapping
curl --request POST \
  --url https://api.openworklabs.com/v1/connector-targets/{connectorTargetId}/mappings \
  --header 'Content-Type: application/json' \
  --data '
{
  "mappingKind": "path",
  "selector": "<string>",
  "objectType": "skill",
  "pluginId": "<string>",
  "autoAddToPlugin": false,
  "config": {}
}
'
{
  "ok": true,
  "item": {
    "id": "<string>",
    "connectorInstanceId": "<string>",
    "connectorTargetId": "<string>",
    "connectorType": "github",
    "remoteId": "<string>",
    "mappingKind": "path",
    "selector": "<string>",
    "objectType": "skill",
    "pluginId": "<string>",
    "autoAddToPlugin": true,
    "mappingConfigJson": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

connectorTargetId
string<typeid>
required

Den TypeID with 'ctg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^ctg_.*

Body

application/json
mappingKind
enum<string>
required
Available options:
path,
api,
custom
selector
string
required
Required string length: 1 - 255
objectType
enum<string>
required
Available options:
skill,
agent,
command,
tool,
mcp,
hook,
context,
custom
pluginId
string<typeid> | null

Den TypeID with 'plg_' prefix and a 26-character base32 suffix.

Required string length: 30
Pattern: ^plg_.*
autoAddToPlugin
boolean
default:false
config
object

Response

Connector mapping created successfully.

ok
boolean
required
item
object
required